Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Interface PopupMenuFactory

All Known Implementing Classes:
  PEPopupMenuFactory

public interface PopupMenuFactory

A factory used to create a JPopupMenu for an EditorKit.

Since:
  jPicEdt 1.3.2
Version:
  $Id: PopupMenuFactory.java,v 1.6.2.1 2007/09/02 11:56:28 reynal Exp $

Author:
  Sylvain Reynal

Method Summary
`JPopupMenu` | `createPopupMenu(PECanvas board, HitInfo hi)`

Method Detail

### createPopupMenu

    public JPopupMenu createPopupMenu(PECanvas board,
                                      HitInfo hi)

  Parameters:
    `board` - the popup-menu invoker component
    `hi` - the HitInfo obtained from the mouse-event which triggered the popup-menu ; the general contract is to scan the whole drawing, that is, not the selection only. This may be null if no Element was found under the cursor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org